Name:           kmid2
Version:        0.2.1
Release:        2%{?dist}
Summary:        A MIDI/karaoke player for KDE

Group:          Applications/Multimedia
# GPLv2+ for the code, CC-BY for the examples
License:        GPLv2+ and CC-BY
URL:            http://userbase.kde.org/KMid2

Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
# relax drumstick version check in CMakeLists.txt as 0.3 is not out yet
# 0.2.99-0.3.20100208svn has all the fixes and API additions in the bundled copy
# svn diff -r 1085734:1085733 svn://anonsvn.kde.org/home/kde/trunk/playground/multimedia/kmid2
Patch0:         kmid2-0.2.1-drumstick-version.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel
BuildRequires:  kde-filesystem
BuildRequires:  cmake
BuildRequires:  alsa-lib-devel
BuildRequires:  drumstick-devel >= 0.2.99-0.3
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
%global kdelibs4_ver %((kde4-config --version 2>/dev/null || echo KDE 4.3.0) | grep '^KDE' | sed -e 's/KDE[^:]*:/KDE:/g' | cut -d' ' -f2 | cut -d'-' -f1)
Requires:       kdelibs4%{?_isa} >= %{kdelibs4_ver}
Requires:       oxygen-icon-theme
Requires:       drumstick >= 0.2.99-0.3

Obsoletes:      kmid < 2.0-1
Provides:       kmid = 2.0-1

Obsoletes:      kmid-devel < 2.0-1

%description
KMid2 is a MIDI/karaoke file player, with configurable midi mapper, real
Session Management, drag & drop, customizable fonts, etc. It has a very
nice interface which let you easily follow the tune while changing the
color of the lyrics.
It supports output through external synthesizers, AWE, FM and GUS cards.
It also has a keyboard view to see the notes played by each instrument.


%prep
%setup -q
# zap bundled copy of drumstick to guarantee it's never used
rm -rf drumstick
%patch0 -p0 -b .drumstick-version


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kmid2.desktop
%find_lang %{name} --with-kde


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README TODO
%{_kde4_bindir}/kmid2
%{_kde4_appsdir}/kmid2/
%{_kde4_datadir}/applications/kde4/kmid2.desktop
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_iconsdir}/hicolor/*/apps/*
%{_kde4_libdir}/kde4/*


%changelog
* Tue Feb 09 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.1-2
- Requires: drumstick >= 0.2.99-0.3

* Tue Feb 09 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.1-1
- Update to 0.2.1
- Drop upstreamed timidity-pulseaudio patch
- Drop dont-translate-output-names patch, should not be needed anymore
- BR drumstick-devel >= 0.2.99-0.3 (0.2.1 needs the 20100208 snapshot)
- relax drumstick version check in CMakeLists.txt as 0.3 is not out yet

* Fri Feb 05 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.0-3
- Don't translate output names, breaks autospawning sequencers

* Sun Jan 31 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.0-2
- Support PulseAudio when autospawning TiMidity++ (-OO -opulse switches)

* Sun Jan 31 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.0-1
- Update to 0.2.0
- The examples with copyright issues have been dropped by upstream
- BR drumstick-devel instead of aseqmm-devel

* Wed Jan 27 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-4
- Fix the kde4-config output parsing for 4.4 ("KDE Development Platform:")

* Wed Jan 27 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-3
- Correctly require at least the kdelibs version used for building

* Wed Jan 27 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-2
- Remove nonsense Requires: kdelibs4 >= %%{version}, as %%{version} is 0.1.1

* Fri Jan 22 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-1
- First Fedora package, replaces kmid